Bug 137282 - Cannot control the partition lay-out order with Disk Druid
Cannot control the partition lay-out order with Disk Druid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 04:04 EDT by Anders Grönlund
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 12:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Grönlund 2004-10-27 04:04:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Description of problem:

I cannot find any way to control the outlay of my partitions when I
use  Disk Druid in the installation. Couldn't it be possible to have
the partitions laid out in the order they are created by the person
who is installing the system?

Version-Release number of selected component (if applicable):
...

How reproducible:

Sometimes I manage to get 3 or 4 partitions in the order I want, but
then I add another and it can just end up anywhere in the partition table.
Maybe there is some kind of "intelligence" built into Disk Druid that
creates this behaviour. However, if I choose to partition manually
there is a chance I actually know what I am doing and what I want.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Fedora
2.
3.
    

Actual Results:  Totally underterministic.


Expected Results:  In the order I create the partitions


Additional info:


There is a bug ib bugzilla.
Comment 1 Jeremy Katz 2004-10-27 12:00:45 EDT
The ordering is done based on how to best fill the disk when you have
multiple partitions which are growing.  There are no plans to add the
ability for the user to do more specification here.  If you have a
specific desire, you can edit free spaces within the partition table
and create partitions with cylinder boundaries to use.
Comment 2 Dmitry Bolkhovityanov 2006-11-17 05:38:15 EST
> If you have a specific desire, you can edit free spaces within 
> the partition table and create partitions with cylinder boundaries to use.

Jeremy, excuse me, but HOW is it possible to do this?  The installer (at least
as of FC6) does NOT provide such functionality.
Or do you suggest pressing Alt+Ctrl+F2 and calling "fdisk /dev/hda" manually?

P.S. Anaconda's habit of shuffling up the order of partitions is very annoying.
So I end up with swap being behind /usr (while I want swap to be as close to
begin as possible), with no reasonable way to fix the situation.

Note You need to log in before you can comment on or make changes to this bug.